Subject: bug#68052: closed (Re: [bug#68052] [PATCH v3 1/4] gnu: python-poppler-qt5: Update to 21.3.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 16 Mar 2024 10:15:02 +0000

Your bug report

#68052: [PATCH 0/4] Collected patches fixing builds of various Frescobaldi dependencies

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68052: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68052
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#68052] [PATCH v3 1/4] gnu: python-poppler-qt5: Update to 21.3.0.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 16 Mar 2024 10:12:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Marco Rimoldi via Guix-patches via <[email-masked]> writes:

> From: Marco Rimoldi <[email-masked]>
>
> * gnu/packages/pdf.scm (python-poppler-qt5): Update to 21.3.0.
> [build-system]: Change to pyproject.
> [inputs]: Change SIP to current version variant.
> * gnu/packages/patches/python-poppler-qt5-fix-build.patch: Delete file.
> * gnu/local.mk (dist_patch_DATA): De-register said patch.
>
> Change-Id: I30d6e2a3180505091d8072ed452211b0bb3a0178
> ---
>  gnu/local.mk                                  |   1 -
>  .../python-poppler-qt5-fix-build.patch        | 116 ------------------
>  gnu/packages/pdf.scm                          |  50 +++-----
>  3 files changed, 18 insertions(+), 149 deletions(-)
>  delete mode 100644 gnu/packages/patches/python-poppler-qt5-fix-build.patch

These patches look good to me, obviously hopefully the situation around
this software will improve but I've pushed this latest series to master
as 00bf07ecccee86da4ced281bd28948c96db284e6 (after tweaking a few of the
commit messages).

Thanks,

Chris

Subject: [PATCH 0/4] Collected patches fixing builds of various Frescobaldi dependencies
From: Marco Rimoldi <[email-masked]>
To: [email-masked]
Date: Tue, 26 Dec 2023 23:10:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I resubmit here the patches I've sent separately in the last couple of days, for your convenience. My apologies.

* Fixed builds for python-poppler-qt5, python-pyportmidi, frescobaldi.
* Added up-to-date variant definition for portmidi.

Marco Rimoldi (4):
  gnu: python-poppler-qt5: update to 21.3.0
  gnu : python-poppler-qt5: Remove no longer needed patch
  gnu: python-pyportmidi: Update to latest git revision, fixing build
    fail.
  gnu: portmidi: Add variant portmidi-2 updated to release 2.0.4

 gnu/packages/music.scm                        |  73 +++++++----
 .../python-poppler-qt5-fix-build.patch        | 116 ------------------
 gnu/packages/pdf.scm                          |  37 ++----
 3 files changed, 62 insertions(+), 164 deletions(-)
 delete mode 100644 gnu/packages/patches/python-poppler-qt5-fix-build.patch

base-commit: 103dc351111d7aff82b7b7883f79084faaa54abc
-- 
2.41.0